Snapchat Spectacle

 1,390.00

Categories: ,

Description

Minimum Device Requirements

Please ensure your mobile device is up to date for the best Specs experience ????

Here are some guidelines for what’s required:

  • iPhone 5 and later, running iOS 8 and above
  • Android devices running Android 4.3 and above with BLE and Wi-Fi Direct

Please Note: If you’re using an iPhone SE but haven’t updated to iOS 10, you might have issues pairing.

Additional information

Colours

Black, Blue, Red

Reviews

There are no reviews yet.

Be the first to review “Snapchat Spectacle”

Your email address will not be published. Required fields are marked *